Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.support.internal.collection
Class DynamicSet<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection<E>
              org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicSet<E>

All Implemented Interfaces:
  Iterable<E>, Collection<E>, Set<E>

Direct Known Subclasses:
  DynamicSortedSet

    public class DynamicSet<E>

extends DynamicCollection<E>
implements Set<E>

Wrapper extension to `DynamicCollection` which prevents duplicates.

Author:
  Costin Leau
See Also:
  `DynamicCollection`, `Set`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection
`DynamicCollection.DynamicIterator`

Field Summary

Fields inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection
`iterators, iteratorsLock, storage`

Constructor Summary
`DynamicSet()`
`DynamicSet(Collection<? extends E> c)`
`DynamicSet(int size)`

Method Summary
`boolean` | `add(E o)`
`boolean` | `addAll(Collection<? extends E> c)`

Methods inherited from class org.eclipse.gemini.blueprint.service.importer.support.internal.collection.DynamicCollection
`add, clear, contains, containsAll, indexOf, isEmpty, iterator, remove, remove, size, toArray, toArray, toString`

Methods inherited from class java.util.AbstractCollection
`removeAll, retainAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### DynamicSet

    public DynamicSet()

### DynamicSet

    public DynamicSet(Collection<? extends E> c)

### DynamicSet

    public DynamicSet(int size)

Method Detail

### add

    public boolean add(E o)

  Specified by:
    `add` in interface `Collection<E>`
  Specified by:
    `add` in interface `Set<E>`
  Overrides:
    `add` in class `DynamicCollection<E>`

### addAll

    public boolean addAll(Collection<? extends E> c)

  Specified by:
    `addAll` in interface `Collection<E>`
  Specified by:
    `addAll` in interface `Set<E>`
  Overrides:
    `addAll` in class `DynamicCollection<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.